function [y fs] = A4_show(filename)
% musical instruments playing note A4

[y fs] = wavread(filename);
fprintf('sample frequency %g kHz\n',fs*1e-3);
t = ((1:length(y))-1)/fs;
fprintf('duration %g sec\n',max(t)-min(t));
subplot(2,1,1);
plot(t,y);
xlabel('time (sec)');
subplot(2,1,2);
tmin = 0.5;
delt = 0.02;
idx = find(t>tmin & t<tmin+delt);
plot(1000*(t(idx)-tmin),y(idx));
xlabel('time (msec)');
if nargout==0
    sound(y,fs);
end